<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/color_body_02"
        android:fitsSystemWindows="true"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="@dimen/MyActionBar_Height">

        <TextView
                android:id="@+id/tvTitle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:minWidth="32dp"
                android:layout_marginLeft="15dp"
                android:includeFontPadding="false"
                android:text=""
                android:textColor="@color/color_text_01"
                android:textSize="@dimen/size_font_03"
                android:textStyle="bold"/>

        <Button
                android:id="@+id/btnRefresh"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:background="@drawable/common_list_btn_refresh"/>
    </LinearLayout>

    <View style="@style/width_Divider_01"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                >

            <android.support.v4.widget.SwipeRefreshLayout
                    android:id="@+id/swiperefreshlayou"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:visibility="visible">

                <com.ntels.onecable.admin.common.widget.CustomScrollView
                        android:overScrollMode="never"
                        android:id="@+id/svBody"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:fadingEdge="none">

                    <LinearLayout
                            android:id="@+id/llSvbody"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingBottom="30dp"
                            android:orientation="vertical">


                        <android.support.v7.widget.RecyclerView
                                android:id="@+id/rcvList"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:overScrollMode="never"
                                android:clipToPadding="false"/>

                        <LinearLayout
                                android:id="@+id/llUpdate"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center"
                                android:orientation="vertical">

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:orientation="horizontal">

                                <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_weight="1"
                                        android:orientation="vertical"
                                        android:layout_marginTop="15dp"
                                        android:layout_marginBottom="15dp"
                                        android:layout_height="wrap_content">

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:gravity="left"
                                            android:includeFontPadding="false"
                                            android:maxLines="1"
                                            android:text="@string/layout_things_detail_03"
                                            android:textColor="@color/color_text_01"
                                            android:textSize="@dimen/size_font_04"/>

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:gravity="left"
                                            android:includeFontPadding="false"
                                            android:maxLines="1"
                                            android:text="@string/layout_things_detail_04"
                                            android:textColor="@color/color_text_03"
                                            android:textSize="@dimen/size_font_06"/>
                                </LinearLayout>

                                <Button
                                        android:id="@+id/btnUpdate"
                                        android:layout_width="82dp"
                                        android:layout_height="35dp"
                                        android:layout_marginLeft="15dp"
                                        android:text="@string/layout_things_detail_03"
                                        android:background="@drawable/d_img_btn_round_bg"
                                        android:textColor="@drawable/d_font_color_font_02_color_font_05"
                                        android:textSize="@dimen/size_font_04"/>
                            </LinearLayout>

                            <View
                                    style="@style/width_Divider_02"/>
                        </LinearLayout>
                    </LinearLayout>
                </com.ntels.onecable.admin.common.widget.CustomScrollView>
            </android.support.v4.widget.SwipeRefreshLayout>

        </LinearLayout>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:layout_alignParentTop="true"
                android:background="@drawable/shadow_top"/>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/shadow_bottom"/>
    </RelativeLayout>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <View
                style="@style/width_Divider_02"/>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/color_bg_01"
                android:gravity="center">

            <LinearLayout
                    android:id="@+id/llBtn1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                <TextView
                        android:id="@+id/tvBtn1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:includeFontPadding="false"
                        android:text="@string/layout_close"
                        android:textColor="@drawable/d_font_color_font_01_color_font_02"
                        android:textSize="@dimen/size_font_05"
                        android:textStyle="bold"/>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>
</LinearLayout>